<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StringUtil.html">StringUtil</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::StringUtil Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">BLANK</a></td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a437e513c495d222d3aca1477cddfb6bf">endsWith</a>(const String &amp;str, const String &amp;pattern, bool lowerCase=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a3005f863e31d14ad8e6502eb4d854709">match</a>(const String &amp;str, const String &amp;pattern, bool caseSensitive=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a861641bda60da5b659c03a21ed5182ba">normalizeFilePath</a>(const String &amp;init, bool makeLowerCase=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a1fbf53b8f6abbc2ee21af4f1b464a25f">replaceAll</a>(const String &amp;source, const String &amp;replaceWhat, const String &amp;replaceWithWhat)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a955202dfe4cd4be53cb582065b8ebe9f">split</a>(const String &amp;str, const String &amp;delims=&quot;\t\n &quot;, unsigned int maxSplits=0, bool preserveDelims=false)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a5061ec62dec2f01d8fd94d8d3a3677d6">splitBaseFilename</a>(const Ogre::String &amp;fullName, Ogre::String &amp;outBasename, Ogre::String &amp;outExtention)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a16e5c81bee0dee5b89cb9c28f5cc137c">splitFilename</a>(const String &amp;qualifiedName, String &amp;outBasename, String &amp;outPath)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a3fe567e3f6a50feac64b50805d7e0446">splitFullFilename</a>(const Ogre::String &amp;qualifiedName, Ogre::String &amp;outBasename, Ogre::String &amp;outExtention, Ogre::String &amp;outPath)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#ab936109efdb3b4f224cdddbb37704cd0">standardisePath</a>(const String &amp;init)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#aa08af119e6752852489de475559252a0">startsWith</a>(const String &amp;str, const String &amp;pattern, bool lowerCase=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a665d79932d54b48b83acff563de7a9e5">StrStreamType</a> typedef</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a85e31c955ac26bd91ca02ca365261cfd">tokenise</a>(const String &amp;str, const String &amp;delims=&quot;\t\n &quot;, const String &amp;doubleDelims=&quot;\&quot;&quot;, unsigned int maxSplits=0)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a9ffdb5be3d3ac225a551d8c6f961ded2">toLowerCase</a>(String &amp;str)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a6a4aa0d892879d1f835398bcc4a8b8d2">toUpperCase</a>(String &amp;str)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#ae36e8b6e19fef623f59d56772ed1dd7e">trim</a>(String &amp;str, bool left=true, bool right=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
